<?php

// phpcs:disable Wptopr.NamingConventions.NamespaceName.TooLong
namespace Wptopr\WP\SEO\User_Meta\Framework\Additional_Contactmethods;

use Wptopr\WP\SEO\User_Meta\Domain\Additional_Contactmethod_Interface;

/**
 * The Pinterest contactmethod.
 */
class Pinterest implements Additional_Contactmethod_Interface {

	/**
	 * Returns the key of the Pinterest contactmethod.
	 *
	 * @return string The key of the Pinterest contactmethod.
	 */
	public function get_key(): string {
		return 'pinterest';
	}

	/**
	 * Returns the label of the Pinterest field.
	 *
	 * @return string The label of the Pinterest field.
	 */
	public function get_label(): string {
		return \__( 'Pinterest profile URL', 'wordpress-seo' );
	}
}
